//  TimeUtils.h
//
//  Time Editor Utility Functions
//
//  July 2000: David Burgess
//

#ifndef QSAS_TIMEUTILS_H_
#define QSAS_TIMEUTILS_H_ 

#include <numeric>
#include "QdTime.h"  // qdos
#include <string>
#include <cstdlib> // for atof

int calc_tol_spacing(QDOS::Time& half_spacing_t,const QDOS::TimeSeq& timeseq,
  const QDOS::Time& discard_t0=QDOS::Seconds(0),const double& tol=1.5,
  const double& fraction_reqd=0.01, const int& max_iterations=5 );
std::string strict_iso_srep(const QDOS::Time&);
QDOS::Time set_from_duration_str( const std::string& d_str );
std::string int_str( int i );
std::string double_str( double d );
std::string duration_str( const QDOS::Time t );
bool valid_iso_time_str( const std::string& s, QDOS::Time& t );

# endif // QSAS_TIMEUTILS_H_

